apiVersion: apps.openshift.io/v1
kind: DeploymentConfig
metadata:
  annotations:
    template.alpha.openshift.io/wait-for-ready: 'true'
  creationTimestamp: '2019-09-05T00:54:45Z'
  generation: 3
  labels:
    app: rhpam74-authoring
    application: dev-authoring
    rhpam: '1.0'
    service: dev-authoring-rhpamcentr
    template: rhpam74-authoring
  name: dev-authoring-rhpamcentr
  namespace: ba
  resourceVersion: '55947'
  selfLink: >-
    /apis/apps.openshift.io/v1/namespaces/ba/deploymentconfigs/dev-authoring-rhpamcentr
  uid: c0c904ff-cf77-11e9-8e0b-12129f834274
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    deploymentConfig: dev-authoring-rhpamcentr
  strategy:
    activeDeadlineSeconds: 21600
    recreateParams:
      timeoutSeconds: 600
    resources: {}
    type: Recreate
  template:
    metadata:
      creationTimestamp: null
      labels:
        application: dev-authoring
        deploymentConfig: dev-authoring-rhpamcentr
        service: dev-authoring-rhpamcentr
      name: dev-authoring-rhpamcentr
    spec:
      containers:
        - env:
            - name: KIE_ADMIN_USER
              value: adminUser
            - name: KIE_ADMIN_PWD
              value: asdasdasd
            - name: KIE_MBEANS
              value: enabled
            - name: KIE_SERVER_CONTROLLER_OPENSHIFT_GLOBAL_DISCOVERY_ENABLED
              value: 'false'
            - name: KIE_SERVER_CONTROLLER_OPENSHIFT_PREFER_KIESERVER_SERVICE
              value: 'true'
            - name: KIE_SERVER_CONTROLLER_TEMPLATE_CACHE_TTL
              value: '60000'
            - name: KIE_WORKBENCH_CONTROLLER_OPENSHIFT_ENABLED
              value: 'true'
            - name: KIE_SERVER_CONTROLLER_USER
              value: controllerUser
            - name: KIE_SERVER_CONTROLLER_PWD
              value: asdasdasd
            - name: KIE_SERVER_CONTROLLER_TOKEN
            - name: KIE_SERVER_USER
              value: executionUser
            - name: KIE_SERVER_PWD
              value: asdasdasd
            - name: MAVEN_MIRROR_URL
            - name: MAVEN_REPO_ID
              value: repo-custom
            - name: MAVEN_REPO_URL
            - name: MAVEN_REPO_USERNAME
            - name: MAVEN_REPO_PASSWORD
            - name: KIE_MAVEN_USER
              value: mavenUser
            - name: KIE_MAVEN_PWD
              value: lVvPLw7!
            - name: GIT_HOOKS_DIR
            - name: HTTPS_KEYSTORE_DIR
              value: /etc/businesscentral-secret-volume
            - name: HTTPS_KEYSTORE
              value: keystore.jks
            - name: HTTPS_NAME
              value: jboss
            - name: HTTPS_PASSWORD
              value: '123456'
            - name: WORKBENCH_ROUTE_NAME
              value: dev-authoring-rhpamcentr
            - name: SSO_URL
            - name: SSO_OPENIDCONNECT_DEPLOYMENTS
              value: ROOT.war
            - name: SSO_REALM
            - name: SSO_SECRET
            - name: SSO_CLIENT
            - name: SSO_USERNAME
            - name: SSO_PASSWORD
            - name: SSO_DISABLE_SSL_CERTIFICATE_VALIDATION
              value: 'false'
            - name: SSO_PRINCIPAL_ATTRIBUTE
              value: preferred_username
            - name: HOSTNAME_HTTP
            - name: HOSTNAME_HTTPS
            - name: AUTH_LDAP_URL
            - name: AUTH_LDAP_BIND_DN
            - name: AUTH_LDAP_BIND_CREDENTIAL
            - name: AUTH_LDAP_JAAS_SECURITY_DOMAIN
            - name: AUTH_LDAP_BASE_CTX_DN
            - name: AUTH_LDAP_BASE_FILTER
            - name: AUTH_LDAP_SEARCH_SCOPE
            - name: AUTH_LDAP_SEARCH_TIME_LIMIT
            - name: AUTH_LDAP_DISTINGUISHED_NAME_ATTRIBUTE
            - name: AUTH_LDAP_PARSE_USERNAME
            - name: AUTH_LDAP_USERNAME_BEGIN_STRING
            - name: AUTH_LDAP_USERNAME_END_STRING
            - name: AUTH_LDAP_ROLE_ATTRIBUTE_ID
            - name: AUTH_LDAP_ROLES_CTX_DN
            - name: AUTH_LDAP_ROLE_FILTER
            - name: AUTH_LDAP_ROLE_RECURSION
            - name: AUTH_LDAP_DEFAULT_ROLE
            - name: AUTH_LDAP_ROLE_NAME_ATTRIBUTE_ID
            - name: AUTH_LDAP_PARSE_ROLE_NAME_FROM_DN
            - name: AUTH_LDAP_ROLE_ATTRIBUTE_IS_DN
            - name: AUTH_LDAP_REFERRAL_USER_ATTRIBUTE_ID_TO_CHECK
            - name: AUTH_ROLE_MAPPER_ROLES_PROPERTIES
            - name: AUTH_ROLE_MAPPER_REPLACE_ROLE
          image: >-
            docker-registry.default.svc:5000/openshift/rhpam74-businesscentral-openshift@sha256:5929bb595aba3e3285acb255f0d264e1674a171522b560f9a6426a271a77b051
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /rest/healthy
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 180
            periodSeconds: 15
            successThreshold: 1
            timeoutSeconds: 2
          name: dev-authoring-rhpamcentr
          ports:
            - containerPort: 8778
              name: jolokia
              protocol: TCP
            - containerPort: 8080
              name: http
              protocol: TCP
            - containerPort: 8443
              name: https
              protocol: TCP
            - containerPort: 8001
              name: git-ssh
              protocol: TCP
          readinessProbe:
            failureThreshold: 6
            httpGet:
              path: /rest/ready
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 60
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 2
          resources:
            limits:
              memory: 4Gi
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
            - mountPath: /etc/businesscentral-secret-volume
              name: businesscentral-keystore-volume
              readOnly: true
            - mountPath: /opt/kie/data
              name: dev-authoring-rhpamcentr-pvol
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: dev-authoring-rhpamsvc
      serviceAccountName: dev-authoring-rhpamsvc
      terminationGracePeriodSeconds: 60
      volumes:
        - name: businesscentral-keystore-volume
          secret:
            defaultMode: 420
            secretName: businesscentral-app-secret
        - name: dev-authoring-rhpamcentr-pvol
          persistentVolumeClaim:
            claimName: dev-authoring-rhpamcentr-claim
  test: false
  triggers:
    - imageChangeParams:
        automatic: true
        containerNames:
          - dev-authoring-rhpamcentr
        from:
          kind: ImageStreamTag
          name: 'rhpam74-businesscentral-openshift:1.0'
          namespace: openshift
        lastTriggeredImage: >-
          docker-registry.default.svc:5000/openshift/rhpam74-businesscentral-openshift@sha256:5929bb595aba3e3285acb255f0d264e1674a171522b560f9a6426a271a77b051
      type: ImageChange
    - type: ConfigChange
status:
  availableReplicas: 1
  conditions:
    - lastTransitionTime: '2019-09-05T01:12:12Z'
      lastUpdateTime: '2019-09-05T01:12:12Z'
      message: Deployment config has minimum availability.
      status: 'True'
      type: Available
    - lastTransitionTime: '2019-09-05T01:08:27Z'
      lastUpdateTime: '2019-09-05T01:12:12Z'
      message: >-
        replication controller "dev-authoring-rhpamcentr-2" successfully rolled
        out
      reason: NewReplicationControllerAvailable
      status: 'True'
      type: Progressing
  details:
    causes:
      - type: Manual
    message: manual change
  latestVersion: 2
  observedGeneration: 3
  readyReplicas: 1
  replicas: 1
  unavailableReplicas: 0
  updatedReplicas: 1

